curl --request GET \
--url https://api.firmable.com/people \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firmable.com/people"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firmable.com/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "fp000000067890",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"middle_name": "M",
"headline": "Unlimited C-Suite Partner",
"description": "I am a finance manager at a bank",
"position": "Chief Marketing Officer",
"current_company": {
"id": "f0000067890",
"name": "Company Name",
"size": "11 - 50",
"website": "https://www.example.com",
"industry": [
"Finance",
"Tech"
],
"linkedin": "person_slug",
"main_phones": [
"0450 600 0000"
],
"other_phones": [
"0450 600 0000"
],
"mobile_phones": [
"0450 600 0000"
]
},
"time_in_current_role": "Jan '23 - Present",
"month_joined": 2,
"year_joined": 2002,
"emails": {
"personal": [
{
"value": "email@gmail.com",
"deliverability": "Deliverable"
}
],
"work": [
{
"value": "email@gmail.com",
"deliverability": "Deliverable"
}
]
},
"phones": [
{
"value": "0450 600 0000",
"is_dnd": false
}
],
"linkedin": "https://www.linkedin.com/in/person_slug",
"social_media": {
"linkedin": {
"handle": 100,
"connections": "username",
"followers": 100,
"stars": 100
},
"github": {
"handle": 100,
"connections": "username",
"followers": 100,
"stars": 100
},
"twitter": {
"handle": 100,
"connections": "username",
"followers": 100,
"stars": 100
},
"facebook": {
"handle": 100,
"connections": "username",
"followers": 100,
"stars": 100
},
"youtube": {
"handle": 100,
"connections": "username",
"followers": 100,
"stars": 100
},
"pintrest": {
"handle": 100,
"connections": "username",
"followers": 100,
"stars": 100
}
},
"location": [
"Sydney",
"Melbourne"
],
"department": "Marketing",
"seniority": "C-Suite / Partner",
"gender": "Female",
"skills": [
"Finance",
"Tech"
],
"education": {
"field": "Computer Science",
"degree": "University of Sydney",
"date_range": "University of Sydney",
"school_name": "University of Sydney"
},
"keywords": [
"Finance",
"Tech"
],
"secondary_position": [
{
"company_id": "f000000120808",
"company_name": "Firmable",
"company_size": "1 - 100",
"company_website": "https://firmable.com",
"company_linkedin": "company-slug",
"company_industry": "Financial Services",
"cleaned_position": "Marketing Principal",
"month_joined": 11,
"year_joined": "2022",
"time_in_current_role": "Nov '22 - Present",
"seniority": "Other",
"department": "Marketing"
}
]
}{
"error": 123,
"message": "<string>"
}People Enrichment
Returns people information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier for a person in the Firmable system. (example: fp000000067890)
The LinkedIn slug of the person. (example: chathchw)
The full LinkedIn URL of the person (example: https://www.linkedin.com/in/chathchw/)
Work email of the person (example: ******@firmable.com)
Personal email of the person (example: ******@gmail.com)
Response
People response
The Firmable ID of the person.
"fp000000067890"
The full name of the person.
"John Doe"
The first name of the person.
"John"
The last name of the person.
"Doe"
The person's middle name (if available).
"M"
A brief professional headline.
"Unlimited C-Suite Partner"
A detailed description of the person.
"I am a finance manager at a bank"
The person's current job position.
"Chief Marketing Officer"
Details about the person's current company.
Show child attributes
Show child attributes
Duration in the current role.
"Jan '23 - Present"
The month when the person joined their current role.
2
The year when the person joined their current role.
2002
Show child attributes
Show child attributes
List of phone numbers with additional details.
Show child attributes
Show child attributes
LinkedIn profile handle.
"https://www.linkedin.com/in/person_slug"
Social media profiles and statistics.
Show child attributes
Show child attributes
The person's location information.
["Sydney", "Melbourne"]
The person's department information.
"Marketing"
Information about the person's seniority level.
"C-Suite / Partner"
Information about the person's gender.
"Female"
List of professional skills.
["Finance", "Tech"]
List of educational qualifications.
Show child attributes
Show child attributes
Keywords associated with the person (if available).
["Finance", "Tech"]
Show child attributes
Show child attributes